<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:25 PST 2005 -->
<TITLE>
: Class  RoutineImpl
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/RoutineImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/ProcedureImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineResultTableImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="RoutineImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.routines.impl</FONT>
<BR>
Class  RoutineImpl</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
        |
        +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
              |
              +--org.eclipse.emf.ecore.impl.EObjectImpl
                    |
                    +--org.eclipse.emf.ecore.impl.EModelElementImpl
                          |
                          +--org.eclipse.emf.ecore.impl.ENamedElementImpl
                                |
                                +--<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">org.eclipse.wst.rdb.internal.models.sql.schema.impl.SQLObjectImpl</A>
                                      |
                                      +--<B>org.eclipse.wst.rdb.internal.models.sql.routines.impl.RoutineImpl</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>commonj.sdo.DataObject, org.eclipse.emf.ecore.sdo.EDataObject, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.sdo.InternalEDataObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A>, java.io.Serializable, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A></DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/FunctionImpl.html">FunctionImpl</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/ProcedureImpl.html">ProcedureImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public abstract class <B>RoutineImpl</B><DT>extends <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">SQLObjectImpl</A><DT>implements <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></DL>

<P>
<!-- begin-user-doc -->
 An implementation of the model object '<em><b>Routine</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 <ul>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSpecificName()"><CODE><em>Specific Name</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getLanguage()"><CODE><em>Language</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getParameterStyle()"><CODE><em>Parameter Style</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#isDeterministic()"><CODE><em>Deterministic</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSqlDataAccess()"><CODE><em>Sql Data Access</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getCreationTS()"><CODE><em>Creation TS</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getLastAlteredTS()"><CODE><em>Last Altered TS</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getAuthorizationID()"><CODE><em>Authorization ID</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSecurity()"><CODE><em>Security</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getExternalName()"><CODE><em>External Name</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getParameters()"><CODE><em>Parameters</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSource()"><CODE><em>Source</em></CODE></A></li>
   <li><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSchema()"><CODE><em>Schema</em></CODE></A></li>
 </ul>
 </p>
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../serialized-form.html#org.eclipse.wst.rdb.internal.models.sql.routines.impl.RoutineImpl">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.InternalEObject.EStore</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>ELAST_EOBJECT_FLAG</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>EOPPOSITE_FEATURE_BASE</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#basicGetSchema()">basicGetSchema</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.notify.NotificationChain</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#basicSetSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema, org.eclipse.emf.common.notify.NotificationChain)">basicSetSchema</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A>&nbsp;newSchema,
               org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)">eGet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     boolean&nbsp;resolve)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.notify.NotificationChain</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#eInverseAdd(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class, org.eclipse.emf.common.notify.NotificationChain)">eInverseAdd</A></B>(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
            int&nbsp;featureID,
            java.lang.Class&nbsp;baseClass,
            org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.notify.NotificationChain</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#eInverseRemove(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class, org.eclipse.emf.common.notify.NotificationChain)">eInverseRemove</A></B>(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
               int&nbsp;featureID,
               java.lang.Class&nbsp;baseClass,
               org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#eIsSet(org.eclipse.emf.ecore.EStructuralFeature)">eIsSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)">eSet</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
     java.lang.Object&nbsp;newValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#eUnset(org.eclipse.emf.ecore.EStructuralFeature)">eUnset</A></B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getAuthorizationID()">getAuthorizationID</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getCreationTS()">getCreationTS</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getExternalName()">getExternalName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getInputParameters()">getInputParameters</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a list of IN and INOUT parameters associated with this routine.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getLanguage()">getLanguage</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getLastAlteredTS()">getLastAlteredTS</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getOutputParameters()">getOutputParameters</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a list of OUT and INOUT parameters associated with this routine.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getParameters()">getParameters</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getParameterStyle()">getParameterStyle</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSchema()">getSchema</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSecurity()">getSecurity</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSource()">getSource</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc --> <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSpecificName()">getSpecificName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#getSqlDataAccess()">getSqlDataAccess</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#isDeterministic()">isDeterministic</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setAuthorizationID(java.lang.String)">setAuthorizationID</A></B>(java.lang.String&nbsp;newAuthorizationID)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setCreationTS(java.lang.String)">setCreationTS</A></B>(java.lang.String&nbsp;newCreationTS)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setDeterministic(boolean)">setDeterministic</A></B>(boolean&nbsp;newDeterministic)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setExternalName(java.lang.String)">setExternalName</A></B>(java.lang.String&nbsp;newExternalName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setLanguage(java.lang.String)">setLanguage</A></B>(java.lang.String&nbsp;newLanguage)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setLastAlteredTS(java.lang.String)">setLastAlteredTS</A></B>(java.lang.String&nbsp;newLastAlteredTS)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setParameterStyle(java.lang.String)">setParameterStyle</A></B>(java.lang.String&nbsp;newParameterStyle)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema)">setSchema</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A>&nbsp;newSchema)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setSecurity(java.lang.String)">setSecurity</A></B>(java.lang.String&nbsp;newSecurity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setSpecificName(java.lang.String)">setSpecificName</A></B>(java.lang.String&nbsp;newSpecificName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#setSqlDataAccess(org.eclipse.wst.rdb.internal.models.sql.routines.DataAccess)">setSqlDataAccess</A></B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A>&nbsp;newSqlDataAccess)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineImpl.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.schema.impl.SQLObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.wst.rdb.internal.models.sql.schema.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">SQLObjectImpl</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#addEAnnotation(java.lang.String)">addEAnnotation</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#addEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">addEAnnotationDetail</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#createDataObject(int)">createDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#createDataObject(int, java.lang.String, java.lang.String)">createDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#createDataObject(commonj.sdo.Property)">createDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#createDataObject(commonj.sdo.Property, commonj.sdo.Type)">createDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#createDataObject(java.lang.String)">createDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#createDataObject(java.lang.String, java.lang.String, java.lang.String)">createDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#delete()">delete</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#get(int)">get</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#get(commonj.sdo.Property)">get</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#get(java.lang.String)">get</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBigDecimal(int)">getBigDecimal</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBigDecimal(commonj.sdo.Property)">getBigDecimal</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBigDecimal(java.lang.String)">getBigDecimal</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBigInteger(int)">getBigInteger</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBigInteger(commonj.sdo.Property)">getBigInteger</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBigInteger(java.lang.String)">getBigInteger</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBoolean(int)">getBoolean</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBoolean(commonj.sdo.Property)">getBoolean</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBoolean(java.lang.String)">getBoolean</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getByte(int)">getByte</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getByte(commonj.sdo.Property)">getByte</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getByte(java.lang.String)">getByte</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBytes(int)">getBytes</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBytes(commonj.sdo.Property)">getBytes</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getBytes(java.lang.String)">getBytes</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getChar(int)">getChar</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getChar(commonj.sdo.Property)">getChar</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getChar(java.lang.String)">getChar</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getContainer()">getContainer</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getContainmentProperty()">getContainmentProperty</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDataGraph()">getDataGraph</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDataObject(int)">getDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDataObject(commonj.sdo.Property)">getDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDataObject(java.lang.String)">getDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDate(int)">getDate</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDate(commonj.sdo.Property)">getDate</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDate(java.lang.String)">getDate</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDependencies()">getDependencies</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDescription()">getDescription</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDouble(int)">getDouble</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDouble(commonj.sdo.Property)">getDouble</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getDouble(java.lang.String)">getDouble</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getEAnnotation(java.lang.String)">getEAnnotation</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">getEAnnotationDetail</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getFloat(int)">getFloat</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getFloat(commonj.sdo.Property)">getFloat</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getFloat(java.lang.String)">getFloat</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getInstanceProperties()">getInstanceProperties</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getInt(int)">getInt</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getInt(commonj.sdo.Property)">getInt</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getInt(java.lang.String)">getInt</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getLabel()">getLabel</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getList(int)">getList</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getList(commonj.sdo.Property)">getList</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getList(java.lang.String)">getList</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getLong(int)">getLong</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getLong(commonj.sdo.Property)">getLong</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getLong(java.lang.String)">getLong</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getSequence(int)">getSequence</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getSequence(commonj.sdo.Property)">getSequence</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getSequence(java.lang.String)">getSequence</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getShort(int)">getShort</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getShort(commonj.sdo.Property)">getShort</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getShort(java.lang.String)">getShort</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getString(int)">getString</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getString(commonj.sdo.Property)">getString</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getString(java.lang.String)">getString</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#getType()">getType</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#isSet(int)">isSet</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#isSet(commonj.sdo.Property)">isSet</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#isSet(java.lang.String)">isSet</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#removeEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">removeEAnnotationDetail</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#set(int, java.lang.Object)">set</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#set(commonj.sdo.Property, java.lang.Object)">set</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#set(java.lang.String, java.lang.Object)">set</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">setAnnotationDetail</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBigDecimal(int, java.math.BigDecimal)">setBigDecimal</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBigDecimal(commonj.sdo.Property, java.math.BigDecimal)">setBigDecimal</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBigDecimal(java.lang.String, java.math.BigDecimal)">setBigDecimal</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBigInteger(int, java.math.BigInteger)">setBigInteger</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBigInteger(commonj.sdo.Property, java.math.BigInteger)">setBigInteger</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBigInteger(java.lang.String, java.math.BigInteger)">setBigInteger</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBoolean(int, boolean)">setBoolean</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBoolean(commonj.sdo.Property, boolean)">setBoolean</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBoolean(java.lang.String, boolean)">setBoolean</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setByte(int, byte)">setByte</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setByte(commonj.sdo.Property, byte)">setByte</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setByte(java.lang.String, byte)">setByte</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBytes(int, byte[])">setBytes</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBytes(commonj.sdo.Property, byte[])">setBytes</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setBytes(java.lang.String, byte[])">setBytes</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setChar(int, char)">setChar</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setChar(commonj.sdo.Property, char)">setChar</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setChar(java.lang.String, char)">setChar</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDataObject(int, commonj.sdo.DataObject)">setDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDataObject(commonj.sdo.Property, commonj.sdo.DataObject)">setDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDataObject(java.lang.String, commonj.sdo.DataObject)">setDataObject</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDate(int, java.util.Date)">setDate</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDate(commonj.sdo.Property, java.util.Date)">setDate</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDate(java.lang.String, java.util.Date)">setDate</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDescription(java.lang.String)">setDescription</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDouble(int, double)">setDouble</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDouble(commonj.sdo.Property, double)">setDouble</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setDouble(java.lang.String, double)">setDouble</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setFloat(int, float)">setFloat</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setFloat(commonj.sdo.Property, float)">setFloat</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setFloat(java.lang.String, float)">setFloat</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setInt(int, int)">setInt</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setInt(commonj.sdo.Property, int)">setInt</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setInt(java.lang.String, int)">setInt</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setLabel(java.lang.String)">setLabel</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setList(int, java.util.List)">setList</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setList(commonj.sdo.Property, java.util.List)">setList</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setList(java.lang.String, java.util.List)">setList</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setLong(int, long)">setLong</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setLong(commonj.sdo.Property, long)">setLong</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setLong(java.lang.String, long)">setLong</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setShort(int, short)">setShort</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setShort(commonj.sdo.Property, short)">setShort</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setShort(java.lang.String, short)">setShort</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setString(int, java.lang.String)">setString</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setString(commonj.sdo.Property, java.lang.String)">setString</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#setString(java.lang.String, java.lang.String)">setString</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#unset(int)">unset</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#unset(commonj.sdo.Property)">unset</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#unset(java.lang.String)">unset</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#writeReplace()">writeReplace</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.ENamedElementImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, getNameGen, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EModelElementImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eClass, eContainerFeatureID, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.BasicEObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eInternalResource, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eStore</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired, eNotify</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.schema.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotation(java.lang.String)">addEAnnotation</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">addEAnnotationDetail</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDependencies()">getDependencies</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDescription()">getDescription</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotation(java.lang.String)">getEAnnotation</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">getEAnnotationDetail</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getLabel()">getLabel</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#removeEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">removeEAnnotationDetail</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">setAnnotationDetail</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setDescription(java.lang.String)">setDescription</A>, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setLabel(java.lang.String)">setLabel</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.ENamedElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.ENamedElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedStructuralFeatureID, eInternalResource, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eURIFragmentSegment</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getSpecificName()"><!-- --></A><H3>
getSpecificName</H3>
<PRE>
public java.lang.String <B>getSpecificName</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSpecificName()">getSpecificName</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Specific Name</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setSpecificName(java.lang.String)"><CODE>Routine.setSpecificName(String)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_SpecificName()"><CODE>SQLRoutinesPackage.getRoutine_SpecificName()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setSpecificName(java.lang.String)"><!-- --></A><H3>
setSpecificName</H3>
<PRE>
public void <B>setSpecificName</B>(java.lang.String&nbsp;newSpecificName)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setSpecificName(java.lang.String)">setSpecificName</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Specific Name</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSpecificName()"><CODE>Routine.getSpecificName()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getLanguage()"><!-- --></A><H3>
getLanguage</H3>
<PRE>
public java.lang.String <B>getLanguage</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getLanguage()">getLanguage</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Language</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setLanguage(java.lang.String)"><CODE>Routine.setLanguage(String)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_Language()"><CODE>SQLRoutinesPackage.getRoutine_Language()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setLanguage(java.lang.String)"><!-- --></A><H3>
setLanguage</H3>
<PRE>
public void <B>setLanguage</B>(java.lang.String&nbsp;newLanguage)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setLanguage(java.lang.String)">setLanguage</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Language</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getLanguage()"><CODE>Routine.getLanguage()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getParameterStyle()"><!-- --></A><H3>
getParameterStyle</H3>
<PRE>
public java.lang.String <B>getParameterStyle</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getParameterStyle()">getParameterStyle</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parameter Style</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setParameterStyle(java.lang.String)"><CODE>Routine.setParameterStyle(String)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_ParameterStyle()"><CODE>SQLRoutinesPackage.getRoutine_ParameterStyle()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setParameterStyle(java.lang.String)"><!-- --></A><H3>
setParameterStyle</H3>
<PRE>
public void <B>setParameterStyle</B>(java.lang.String&nbsp;newParameterStyle)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setParameterStyle(java.lang.String)">setParameterStyle</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Parameter Style</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getParameterStyle()"><CODE>Routine.getParameterStyle()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isDeterministic()"><!-- --></A><H3>
isDeterministic</H3>
<PRE>
public boolean <B>isDeterministic</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#isDeterministic()">isDeterministic</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Deterministic</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setDeterministic(boolean)"><CODE>Routine.setDeterministic(boolean)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_Deterministic()"><CODE>SQLRoutinesPackage.getRoutine_Deterministic()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDeterministic(boolean)"><!-- --></A><H3>
setDeterministic</H3>
<PRE>
public void <B>setDeterministic</B>(boolean&nbsp;newDeterministic)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setDeterministic(boolean)">setDeterministic</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Deterministic</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#isDeterministic()"><CODE>Routine.isDeterministic()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSqlDataAccess()"><!-- --></A><H3>
getSqlDataAccess</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A> <B>getSqlDataAccess</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSqlDataAccess()">getSqlDataAccess</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Sql Data Access</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html"><CODE>DataAccess</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setSqlDataAccess(org.eclipse.wst.rdb.internal.models.sql.routines.DataAccess)"><CODE>Routine.setSqlDataAccess(DataAccess)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_SqlDataAccess()"><CODE>SQLRoutinesPackage.getRoutine_SqlDataAccess()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setSqlDataAccess(org.eclipse.wst.rdb.internal.models.sql.routines.DataAccess)"><!-- --></A><H3>
setSqlDataAccess</H3>
<PRE>
public void <B>setSqlDataAccess</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html">DataAccess</A>&nbsp;newSqlDataAccess)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setSqlDataAccess(org.eclipse.wst.rdb.internal.models.sql.routines.DataAccess)">setSqlDataAccess</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Sql Data Access</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/DataAccess.html"><CODE>DataAccess</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSqlDataAccess()"><CODE>Routine.getSqlDataAccess()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getCreationTS()"><!-- --></A><H3>
getCreationTS</H3>
<PRE>
public java.lang.String <B>getCreationTS</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getCreationTS()">getCreationTS</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Creation TS</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setCreationTS(java.lang.String)"><CODE>Routine.setCreationTS(String)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_CreationTS()"><CODE>SQLRoutinesPackage.getRoutine_CreationTS()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setCreationTS(java.lang.String)"><!-- --></A><H3>
setCreationTS</H3>
<PRE>
public void <B>setCreationTS</B>(java.lang.String&nbsp;newCreationTS)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setCreationTS(java.lang.String)">setCreationTS</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Creation TS</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getCreationTS()"><CODE>Routine.getCreationTS()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getLastAlteredTS()"><!-- --></A><H3>
getLastAlteredTS</H3>
<PRE>
public java.lang.String <B>getLastAlteredTS</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getLastAlteredTS()">getLastAlteredTS</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Last Altered TS</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setLastAlteredTS(java.lang.String)"><CODE>Routine.setLastAlteredTS(String)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_LastAlteredTS()"><CODE>SQLRoutinesPackage.getRoutine_LastAlteredTS()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setLastAlteredTS(java.lang.String)"><!-- --></A><H3>
setLastAlteredTS</H3>
<PRE>
public void <B>setLastAlteredTS</B>(java.lang.String&nbsp;newLastAlteredTS)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setLastAlteredTS(java.lang.String)">setLastAlteredTS</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Last Altered TS</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getLastAlteredTS()"><CODE>Routine.getLastAlteredTS()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getAuthorizationID()"><!-- --></A><H3>
getAuthorizationID</H3>
<PRE>
public java.lang.String <B>getAuthorizationID</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getAuthorizationID()">getAuthorizationID</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Authorization ID</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setAuthorizationID(java.lang.String)"><CODE>Routine.setAuthorizationID(String)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_AuthorizationID()"><CODE>SQLRoutinesPackage.getRoutine_AuthorizationID()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setAuthorizationID(java.lang.String)"><!-- --></A><H3>
setAuthorizationID</H3>
<PRE>
public void <B>setAuthorizationID</B>(java.lang.String&nbsp;newAuthorizationID)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setAuthorizationID(java.lang.String)">setAuthorizationID</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Authorization ID</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getAuthorizationID()"><CODE>Routine.getAuthorizationID()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSecurity()"><!-- --></A><H3>
getSecurity</H3>
<PRE>
public java.lang.String <B>getSecurity</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSecurity()">getSecurity</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Security</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setSecurity(java.lang.String)"><CODE>Routine.setSecurity(String)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_Security()"><CODE>SQLRoutinesPackage.getRoutine_Security()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setSecurity(java.lang.String)"><!-- --></A><H3>
setSecurity</H3>
<PRE>
public void <B>setSecurity</B>(java.lang.String&nbsp;newSecurity)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setSecurity(java.lang.String)">setSecurity</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Security</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSecurity()"><CODE>Routine.getSecurity()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getExternalName()"><!-- --></A><H3>
getExternalName</H3>
<PRE>
public java.lang.String <B>getExternalName</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getExternalName()">getExternalName</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>External Name</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setExternalName(java.lang.String)"><CODE>Routine.setExternalName(String)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_ExternalName()"><CODE>SQLRoutinesPackage.getRoutine_ExternalName()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setExternalName(java.lang.String)"><!-- --></A><H3>
setExternalName</H3>
<PRE>
public void <B>setExternalName</B>(java.lang.String&nbsp;newExternalName)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setExternalName(java.lang.String)">setExternalName</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>External Name</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getExternalName()"><CODE>Routine.getExternalName()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getParameters()"><!-- --></A><H3>
getParameters</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getParameters</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getParameters()">getParameters</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parameters</em>' containment reference list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_Parameters()"><CODE>SQLRoutinesPackage.getRoutine_Parameters()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Parameter.html#getRoutine()"><CODE>Parameter.getRoutine()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getInputParameters()"><!-- --></A><H3>
getInputParameters</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getInputParameters</B>()</PRE>
<DL>
<DD>Gets a list of IN and INOUT parameters associated with this routine.
 <p><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getInputParameters()">getInputParameters</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a list of IN and INOUT parameters associated with this routine.</DL>
</DD>
</DL>
<HR>

<A NAME="getOutputParameters()"><!-- --></A><H3>
getOutputParameters</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getOutputParameters</B>()</PRE>
<DL>
<DD>Gets a list of OUT and INOUT parameters associated with this routine.
 <p><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getOutputParameters()">getOutputParameters</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a list of OUT and INOUT parameters associated with this routine.</DL>
</DD>
</DL>
<HR>

<A NAME="getSource()"><!-- --></A><H3>
getSource</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getSource</B>()</PRE>
<DL>
<DD><!-- begin-user-doc --> <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSource()">getSource</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Source</em>' containment reference list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_Source()"><CODE>SQLRoutinesPackage.getRoutine_Source()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getSchema()"><!-- --></A><H3>
getSchema</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A> <B>getSchema</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSchema()">getSchema</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Schema</em>' reference.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema)"><CODE>Routine.setSchema(Schema)</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#getRoutine_Schema()"><CODE>SQLRoutinesPackage.getRoutine_Schema()</CODE></A>, 
<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html#getRoutines()"><CODE>Schema.getRoutines()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="basicGetSchema()"><!-- --></A><H3>
basicGetSchema</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A> <B>basicGetSchema</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="basicSetSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema, org.eclipse.emf.common.notify.NotificationChain)"><!-- --></A><H3>
basicSetSchema</H3>
<PRE>
public org.eclipse.emf.common.notify.NotificationChain <B>basicSetSchema</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A>&nbsp;newSchema,
                                                                      org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema)"><!-- --></A><H3>
setSchema</H3>
<PRE>
public void <B>setSchema</B>(<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/Schema.html">Schema</A>&nbsp;newSchema)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#setSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema)">setSchema</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html">Routine</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.routines.Routine</CODE></DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Schema</em>' reference.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/Routine.html#getSchema()"><CODE>Routine.getSchema()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="eInverseAdd(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class, org.eclipse.emf.common.notify.NotificationChain)"><!-- --></A><H3>
eInverseAdd</H3>
<PRE>
public org.eclipse.emf.common.notify.NotificationChain <B>eInverseAdd</B>(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
                                                                   int&nbsp;featureID,
                                                                   java.lang.Class&nbsp;baseClass,
                                                                   org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#eInverseAdd(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class, org.eclipse.emf.common.notify.NotificationChain)">eInverseAdd</A></CODE> in class <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">SQLObjectImpl</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eInverseRemove(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class, org.eclipse.emf.common.notify.NotificationChain)"><!-- --></A><H3>
eInverseRemove</H3>
<PRE>
public org.eclipse.emf.common.notify.NotificationChain <B>eInverseRemove</B>(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
                                                                      int&nbsp;featureID,
                                                                      java.lang.Class&nbsp;baseClass,
                                                                      org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#eInverseRemove(org.eclipse.emf.ecore.InternalEObject, int, java.lang.Class, org.eclipse.emf.common.notify.NotificationChain)">eInverseRemove</A></CODE> in class <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">SQLObjectImpl</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)"><!-- --></A><H3>
eGet</H3>
<PRE>
public java.lang.Object <B>eGet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                             boolean&nbsp;resolve)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eGet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#eGet(org.eclipse.emf.ecore.EStructuralFeature, boolean)">eGet</A></CODE> in class <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">SQLObjectImpl</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)"><!-- --></A><H3>
eSet</H3>
<PRE>
public void <B>eSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature,
                 java.lang.Object&nbsp;newValue)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#eSet(org.eclipse.emf.ecore.EStructuralFeature, java.lang.Object)">eSet</A></CODE> in class <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">SQLObjectImpl</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eUnset(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eUnset</H3>
<PRE>
public void <B>eUnset</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eUnset</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#eUnset(org.eclipse.emf.ecore.EStructuralFeature)">eUnset</A></CODE> in class <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">SQLObjectImpl</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="eIsSet(org.eclipse.emf.ecore.EStructuralFeature)"><!-- --></A><H3>
eIsSet</H3>
<PRE>
public boolean <B>eIsSet</B>(org.eclipse.emf.ecore.EStructuralFeature&nbsp;eFeature)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>eIsSet</CODE> in interface <CODE>org.eclipse.emf.ecore.EObject</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#eIsSet(org.eclipse.emf.ecore.EStructuralFeature)">eIsSet</A></CODE> in class <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">SQLObjectImpl</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html#toString()">toString</A></CODE> in class <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html">SQLObjectImpl</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/RoutineImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/ProcedureImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/routines/impl/RoutineResultTableImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="RoutineImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
